## GeditApp

GeditApp — The whole application

## Functions

GeditWindow * | gedit_app_create_window ()
GList * | gedit_app_get_main_windows ()
GList * | gedit_app_get_views ()
GList * | gedit_app_get_documents ()
gboolean | gedit_app_show_help ()

## Types and Values

| GeditApp

## Object Hierarchy

        GObject
        ╰── GApplication
            ╰── GtkApplication
                ╰── GeditApp

## Implemented Interfaces

GeditApp implements GActionGroup and GActionMap.

## Description

GeditApp is a subclass of GtkApplication, representing the whole application.

It contains GeditWindow's and other GtkWindow's.

## Functions

### gedit_app_create_window ()

    GeditWindow *
    gedit_app_create_window (GeditApp *app,
                             GdkScreen *screen);

Creates a new GeditWindow part of `app` .

#### Parameters

app | the GeditApp. |
screen | a GdkScreen, or `NULL`. | [nullable]

#### Returns

the new GeditWindow.

[transfer none]

### gedit_app_get_main_windows ()

    GList *
    gedit_app_get_main_windows (GeditApp *app);

Returns all GeditWindow's currently open in GeditApp. This differs from `gtk_application_get_windows()` since it does not include the preferences dialog and other auxiliary windows.

#### Parameters

app | the GeditApp. |

#### Returns

a newly allocated list of GeditWindow objects.

[element-type GeditWindow][transfer container]

### gedit_app_get_views ()

    GList *
    gedit_app_get_views (GeditApp *app);

#### Parameters

app | the GeditApp. |

#### Returns

a newly allocated list of all the GeditView's currently part of `app` .

[element-type GeditView][transfer container]

### gedit_app_get_documents ()

    GList *
    gedit_app_get_documents (GeditApp *app);

#### Parameters

app | the GeditApp. |

#### Returns

a newly allocated list of all the GeditDocument's currently part of `app` .

[element-type GeditDocument][transfer container]

### gedit_app_show_help ()

    gboolean
    gedit_app_show_help (GeditApp *app,
                         GtkWindow *parent_window,
                         const gchar *name_of_user_manual,
                         const gchar *link_id_within_user_manual);

To show the user manual.

As a useful information to know, the gedit user documentation is currently written in Mallard. As such, this functionality can easily be tested with Yelp on Linux:

With `name_of_user_manual` and `link_id_within_user_manual` both `NULL`, it is equivalent to:

`$ yelp 'help:gedit'`

With `link_id_within_user_manual` set to `"gedit-replace"` (a Mallard page id):

`$ yelp 'help:gedit/gedit-replace'`

With `link_id_within_user_manual` set to `"gedit-spellcheck#dict"` (it refers to a section id within a page id):

`$ yelp 'help:gedit/gedit-spellcheck#dict'`

#### Parameters

app | a GeditApp. |
parent_window | the GtkWindow where the request originates from. | [nullable]
name_of_user_manual | `NULL` for gedit's user manual, otherwise the name of another user manual (e.g., one from another application). | [nullable]
link_id_within_user_manual | a link ID within the user manual, or `NULL` to show its start page. | [nullable]

#### Returns

whether the operation was successful.

## Types and Values

### GeditApp

    typedef struct _GeditApp GeditApp;